Skip to content

Check if Secret Exists

Endpoint: GET /api/secrets/{key}/exists

Checks whether a secret exists in your Conductor cluster.

Path parameters

Parameter Description Type Required/ Optional
key The secret key name. string Required.

Response

Returns 200 OK with a boolean value:

  • true if the secret exists
  • false if the secret does not exist

Examples

Check if secret exists (secret found)

Request

curl -X 'GET' \
  'https://<YOUR-SERVER-URL>/api/secrets/atlassian-token/exists' \
  -H 'accept: application/json' \
  -H 'X-Authorization: <TOKEN>'

Response

true
Check if secret exists (secret not found)

Request

curl -X 'GET' \
  'https://<YOUR-SERVER-URL>/api/secrets/someSecret/exists' \
  -H 'accept: application/json' \
  -H 'X-Authorization: <TOKEN>'

Response

false